[package]
name = "skynet_discord_bot"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[[bin]]
name = "update_data"

[[bin]]
name = "update_users"

[[bin]]
name = "update_minecraft"

[dependencies]
# discord library
serenity = { version = "0.11.6", default-features = false, features = ["client", "gateway", "rustls_backend", "model", "cache"] }
tokio = { version = "1.0", features = ["macros", "rt-multi-thread"] }

#  to make the http requests
surf = "2.3.2"

dotenvy = "0.15.7"

# For sqlite
sqlx = { version = "0.7.1", features = [ "runtime-tokio", "sqlite", "migrate" ] }

# create random strings
rand = "0.8.5"

# fancy time stuff
chrono = "0.4.26"

# for email
lettre = "0.10.4"
maud = "0.25.0"

serde = "1.0.188"